## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <arc>

`<arc>` | encodes an arc, the connection from one node to another in a graph.

Attributes

(In addition to global attributes)

`label` | gives a label for an arc.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED

`label2` | gives a second label for an arc.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED
Note | Use this attribute together with the `label` attribute if a transducer is being encoded.
`from` | gives the identifier of the node which is adjacent from this arc.
| Datatype: IDREF
| Values: The identifier of a node.
| Default: #REQUIRED
`to` | gives the identifier of the node which is adjacent to this arc.
| Datatype: IDREF
| Values: The identifier of a node.
| Default: #REQUIRED

Example

    <arc label="OLD" label2="VIEUX" from="t3" to="t3"/>

Note

The `<arc>` element must be used if the arcs are labeled. Otherwise, arcs can be encoded using the `adj`, `adjTo` and `adjFrom` attributes on the `<node>` tags in the graph. Both `<arc>` tags and adjacency attributes can be used, but the resulting encoding would be highly redundant.

Module Declared in file teinet2; Additional tag set for Graph Theory: enabled by TEI.nets
Data Description empty
May occur within graph
Declaration

    <!ELEMENT arc %om.RO; EMPTY>
    <!ATTLIST arc
          %a.global;
          label CDATA #IMPLIED
          label2 CDATA #IMPLIED
          from IDREF #REQUIRED
          to IDREF #REQUIRED>

See further 21.1 Graphs and Digraphs

Up: 35 Elements